import { XmlData } from '../ofdData';
import { OfdDocument } from '../ofdDocument';
/**
 * 注释组件
 */
export declare class OfdAnnotationElement {
    private annotData;
    private ofdPage;
    private ofdDocument;
    private viewContainer;
    private viewContainerStyle;
    private viewZIndex;
    private annotNodeList;
    /**
     * 初始化注释组件
     * @param ofdDocument
     * @param ofdPage 当前页面数据
     * @param viewContainer 页面容器
     */
    constructor(ofdDocument: OfdDocument, ofdPage: XmlData, viewContainer: HTMLDivElement);
    private initViewContainer;
    private addClickListener;
    render(): void;
    /**
     * 渲染单个注释
     * @param annotNode 注释节点
     */
    renderSingleAnnotation(annotNode: XmlData): void;
    /**
     * 渲染印章注释
     * @param annotNode 注释节点
     */
    renderStampAnnot(annotNode: XmlData): void;
    renderSignatureInFile(annotNode: XmlData): void;
    renderStamp(annotNode: XmlData): void;
    private renderPathAnnot;
    private renderHightLightAnnot;
}
